Skip to main content
GET
/
nft
/
sales
Get NFT Sales
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/nft/sales \
  --header 'X-API-KEY: <api-key>'
{
  "nftSales": [
    {
      "marketplace": "wyvern",
      "marketplaceAddress": "0x7Be8076f4EA4A4AD08075C2508e481d6C946D12b",
      "contractAddress": "0xe785E82358879F061BC3dcAC6f0444462D4b5330",
      "tokenId": "44",
      "quantity": "1",
      "buyerAddress": "0xCdC78DBE7ccbB7Ab2e07aEa18C1A6424C57ad63d",
      "sellerAddress": "0x758070E86f10B4B7BE14f5FefEB11aEb0D3F56dE",
      "blockNumber": "13869130",
      "transactionHash": "0xfe2f6d1b244c0052a1bca636fed7a39a1ef04639645c8a374a22702cc08a1e01",
      "sellerFee": {
        "amount": "45937500000000000",
        "tokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
        "symbol": "WETH",
        "decimals": 18
      },
      "protocolFee": {
        "amount": "45937500000000000",
        "tokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
        "symbol": "WETH",
        "decimals": 18
      },
      "royaltyFee": {
        "amount": "45937500000000000",
        "tokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
        "symbol": "WETH",
        "decimals": 18
      }
    }
  ],
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
10143,
11011,
11124,
11155111,
11155420,
130,
1301,
137,
168587773,
1868,
1946,
2741,
300,
324,
33111,
33139,
360,
37111,
42161,
421614,
43113,
43114,
480,
4801,
534351,
534352,
5371,
5373,
59141,
59144,
7777777,
80002,
80094,
81457,
8453,
84532,
999999999
Example:

1

contractAddress
string
default:0x60e4d786628fea6478f785a6d7e704777c86a7c6
required

The address of the NFT collection to query.

Example:

"0x60e4d786628fea6478f785a6d7e704777c86a7c6"

tokenId
string
default:8999
required

The ID of the token.

Example:

"8999"

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy

Response

200 - application/json
nftSales
object[]
required
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="